%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:           nodejs-is-callable
Version:        1.1.3
Release:        %mkrel 1
Summary:        Is this JS value callable?
Group:          Development/Other

License:        MIT
URL:            https://github.com/ljharb/is-callable
Source0:        https://registry.npmjs.org/is-callable/-/is-callable-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(foreach)
BuildRequires:  npm(make-arrow-function)
BuildRequires:  npm(make-generator-function)
BuildRequires:  npm(tape)
%endif


%description
Is this JS value callable? Works with Functions and
GeneratorFunctions, despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-callable
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-callable
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} --es-staging test.js
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-callable




%changelog
* Sun May 22 2016 tv <tv> 1.1.3-1.mga6
+ Revision: 1017630
- disable testuite for boostrapping
- imported package nodejs-is-callable

